RDocument
Date: 2017-02-11

org.fife.ui.rtextarea

## Class RDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - org.fife.ui.rtextarea.RDocument

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document
  Direct Known Subclasses:
    RSyntaxDocument

      public class RDocument
      extends javax.swing.text.PlainDocument

  The document implementation used by instances of `RTextArea`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.text.PlainDocument

      `lineLimitAttribute, tabSizeAttribute`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDocument()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `charAt(int offset)` Returns the character in the document at the specified offset.

    - ### Methods inherited from class javax.swing.text.PlainDocument

      `createDefaultRoot, getDefaultRootElement, getParagraphElement, insertString, insertUpdate, removeUpdate`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDocument

          public RDocument()

      Constructor.

  - ### Method Detail

    - #### charAt

          public char charAt(int offset)
                      throws javax.swing.text.BadLocationException

      Returns the character in the document at the specified offset.
      Parameters:
        `offset` - The offset of the character.
      Returns:
        The character.
      Throws:
        `javax.swing.text.BadLocationException` - If the offset is invalid.